#!/bin/sh

name="jabberd"
title="jabberd"
package="jabberd"
version="1.4.2"
build="5"
noarch="n"
build_info="Standard build."

info="A Jabber server."
desc="The jabberd server is the original server implementation of
the Jabber protocols for instant messaging and XML routing.
The jabberd server is both open-source and free software,
since it is dual-licensed under the JOSL and the GPL."
category="net/server/im"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="README,UPGRADE"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://jabberd.jabberstudio.org/downloads/jabber-$version.tar.gz

apply_patch dirs
apply_patch confpath
apply_patch jhome
apply_patch mio_ssl.c.patch 4
apply_patch jabberd-srv.patch
apply_patch jabberd-allow_sslonly.patch
apply_patch deadlock
apply_patch jabberd-dlopen.patch
apply_patch jabberd-dos.patch
apply_patch jabberd-double_connect.patch
apply_patch jabberd-groups.patch
apply_patch jabberd-messages_are_equal.patch
apply_patch jabberd-presence.patch
apply_patch jabberd-pth.patch
apply_patch jabberd-register-deny_new.patch 1
apply_patch jabberd-route.patch
apply_patch jabberd-xdbcache_lock.patch
apply_patch jabberd-browse.patch
apply_patch jabberd-mod_disco.patch 1
apply_patch jabberd-mod_stats.patch 1

configure_option --enable-ssl

parent_package="$package"
write_info main

cd $src1

do_configure
do_make

msg_installing

copy jabberd/jabberd $pkg_main/usr/sbin
copy jsm/jsm.so $pkg_main/usr/lib/jabber
copy pthsock/pthsock_client.so $pkg_main/usr/lib/jabber
copy xdb_file/xdb_file.so $pkg_main/usr/lib/jabber
copy dialback/dialback.so $pkg_main/usr/lib/jabber
copy dnsrv/dnsrv.so $pkg_main/usr/lib/jabber
copy jabber.xml $pkg_main/etc/jabber jabber.xml.new
copy $src_pkg/rc.jabberd $pkg_main/etc/rc.d
copy $src_pkg/jabberd-keygen $pkg_main/usr/sbin
mkdir -p $pkg_main/var/spool/jabber/jabberd
mkdir -p $pkg_main/var/log/jabber
mkdir -p $pkg_main/var/run/jabber

change_mod main var/spool/jabber "-R 700"
change_mod main etc/jabber 700
change_mod main var/run/jabber 700
change_mod main var/log/jabber 700
change_mod main etc/rc.d/rc.jabberd 755
change_mod main usr/sbin/jabberd-keygen 755

make_docs

make_package main

clean_up

# $Log: jabberd.builder,v $
# Revision 1.27  2003/06/26 13:57:25  swiergot
# - Build 5.
#
# Revision 1.26  2003/06/26 13:38:13  swiergot
# - Corrected misspelled patch name.
#
# Revision 1.25  2003/06/26 13:23:44  swiergot
# - Added browse patch.
# - Added mod_disco patch.
# - Added mod_stats patch.
# - Renamed svr patch to srv.
#
# Revision 1.24  2003/05/15 14:13:29  swiergot
# - Build 4.
#
# Revision 1.23  2003/05/15 13:52:03  swiergot
# - Updated dirs patch to match the latest jabber-gg-transport.
#
# Revision 1.22  2003/05/01 18:02:58  swiergot
# - Build 3.
#
# Revision 1.21  2003/05/01 17:54:09  swiergot
# - Added numerous patches from the official CVS.
#
# Revision 1.20  2003/01/20 22:12:06  swiergot
# - Build 2.
#
# Revision 1.19  2003/01/20 20:48:20  swiergot
# - In rc.jabberd, wait 5 seconds before running jggtrans.
# - Kill jabberd by pid from pidfile.
#
# Revision 1.18  2003/01/20 19:11:29  swiergot
# - Added support for jggtrans to rc.jabberd.
# - Cosmetics in rc.jabberd.
#
# Revision 1.17  2003/01/20 18:34:42  swiergot
# - Added example sections to jabber.xml to run GG transport.
#
# Revision 1.16  2003/01/20 17:58:19  swiergot
# - Updated everything to work with /var/spool/jabber/jabberd as spool
#   directory.
#
# Revision 1.15  2003/01/20 16:21:14  swiergot
# - Moved pidfile to /var/run/jabber.
# - Create var/run/jabber and chmod 700, chown jabber.root.
# - Chmod 700 var/log/jabber.
# - Extended ending message in jabberd-keygen.
#
# Revision 1.14  2003/01/19 21:37:19  swiergot
# - Build 1.
#
# Revision 1.13  2003/01/19 21:12:57  swiergot
# - Updated the dirs patch to change pidfile location to
#   /etc/jabber/jabberd.pid.
# - Improved rc.jabberd to detect whether jabberd is or isn't running.
# - Don't include var/run in the package.
# - Cosmetics in jabberd-keygen output.
#
# Revision 1.12  2003/01/19 19:49:58  swiergot
# - Fixed a path to key.pem in the dirs patch.
# - Improved rc.jabberd (start/stop/restart).
# - Cosmetics in script.postinst output.
#
# Revision 1.11  2003/01/19 15:27:49  swiergot
# - Added jabberd-keygen to help to generate SSL keys.
# - Updated the dirs patch to preconfigure SSL.
# - Changed everywhere usr/lib/jabberd to usr/lib/jabber.
# - Chmod 700 etc/jabber.
# - Updated rc.jabberd to set everywhere ownership to jabber.root.
# - Updated rc.jabberd to redirect jabberd output to /dev/null.
#
# Revision 1.10  2003/01/19 14:24:43  swiergot
# - In rc.jabberd, chown -R jabber.users /var/log/jabber.
#
# Revision 1.9  2003/01/19 14:02:51  swiergot
# - Updated the dirs patch to set logfiles location.
# - Make var/log/jabber.
# - Added a postinst script to handle configuration file.
# - Added msg_installing.
#
# Revision 1.8  2003/01/19 12:53:03  swiergot
# - Added a jhome patch to fix home directory of running jabberd.
# - Added mio_ssl.c.patch to close a DoS attack possibility.
# - Improved rc.jabberd.
#
# Revision 1.7  2003/01/18 23:54:46  swiergot
# - Removed the spooldir patch.
# - Added a dirs patch that covers all directories (/usr/lib/jabberd for
#   modules, /var/spool/jabberd for spool directory, /var/run for pid file).
# - Copy dnsrv/dnsrv.so, jsm/jsm.so, pthsock/pthsock_client.so,
#   xdb_file/xdb_file.so and dialback/dialback.so into usr/lib/jabberd.
# - Create var/run.
#
# Revision 1.6  2003/01/18 23:18:47  swiergot
# - Added rc script for starting jabberd.
#
# Revision 1.5  2003/01/18 22:37:50  swiergot
# - Renamed the confpath patch to be recognized by pwbuilder.
#
# Revision 1.4  2003/01/18 22:19:50  swiergot
# - Added a confpath patch to set configuration file to
#   /etc/jabber/jabber.xml.
#
# Revision 1.3  2003/01/18 18:36:08  swiergot
# - Added a spooldir patch to set spool directory location to
#   /var/spool/jabberd.
# - Install jabberd into usr/sbin and jabber.xml to /etc/jabber.
# - Create /var/spool/jabberd and chmod it 700.
#
# Revision 1.2  2003/01/18 18:13:38  swiergot
# - Fixed source's URL.
#
# Revision 1.1  2003/01/17 21:06:01  swiergot
# - Initial release.
# - Version 1.4.2.
#
